windows下安装sass,以及常见错误和解决办法

Ooo_My_God发表于 分类:css 阅读(7275) 评论(9)

简介:

sass依赖于ruby环境,安装sass之前得先装ruby。

1、安装ruby

1.1、下载地址:http://rubyinstaller.org/downloads

1.2、注意事项:安装时,最好勾选Add Ruby executables to your PATH这个选项,添加环境变量。

1.3、查看ruby是否正确安装:命令提示符ruby -v显示版本号即正确安装

1.4、查看gem是否正确安装(安装ruby时安装的,类似npm):命令提示符gem -v显示版本号即正确安装

2、安装sass

2.1、命令提示符输入:gem install sass

2.2、如果够幸运,你可以看见下图说明安装成功

2.3、否则你将看到下图 ^_^:

2.4、什么意思呢?图说得很清楚了,你被强了… +-+

2.4.1、解决办法:将gem的镜像更换成淘宝的镜像

2.4.2、添加淘宝镜像:命令提示符输入:gem source -a https://ruby.taobao.org/

若无法添加https:的淘宝镜像,请尝试将source地址改为http://ruby.taobao.org/镜像,感谢@Crown提示。

2.4.3、删除gem原镜像:命令提示符输入:gem source -remove https://rubygems.org/

2.4.4、查看gem镜像,确保只有ruby.taobao.org,命令提示符输入:gem source

2.4.5、再次安装sass:命令提示符输入:gem install sass即可

3、结束语

3.1、本文有任何错误,或有任何疑问,欢迎留言说明。

如果觉得我的文章对您有用,请随意打赏。您的支持将是我继续创作的动力! ¥ 打赏支持 ¥

本站文章除注明转载外,均为原创文章,会经常更新知识点以及修正一些错误,因此转载请保留原出处,方便溯源,避免陈旧错误知识的误导,同时有更好的阅读体验。

http://www.ydcss.com/archives/526

相关推荐

评论

网友最新评论 (9)

  1. 写得不错

    大莫 11-07 15:10 回复
  2. 你好,我淘宝的镜像添加不成功呢
    显示 SSL_connect returned =1 errno=0

    Amber 03-21 14:08 回复
  3. 不行啊 换了也不管用
    Errno::ECONNABORTED: An established connection was aborted by the software in your host machine. – SSL_connect (https://rubygems.org/quick/Marshal.4.8/sass-3.4.22.gemspec.rz)

    ansue 05-25 18:05 回复
  4. Whoever wrote this, you know how to make a good areiclt.

    Artie 06-15 15:50 回复
  5. 我也添加不了淘宝的源,把https://rubygems.org/ 换成http://rubygems.org/就成功了

    Crown 10-19 14:35 回复
  6. 安装好了后,如何使用额!

    无泪 10-28 15:21 回复
  7. 很好的文章

    jzb1006 08-29 16:15 回复
输入关键字